-- setting colors

-- everforest
vim.api.nvim_set_var("everforest_background", "hard")
vim.api.nvim_set_var("everforest_transparent_background", "1")
vim.api.nvim_set_var("everforest_ui_contrast", "low")
vim.api.nvim_set_var("everforest_show_eob", "0")
vim.api.nvim_set_var("everforest_enable_bold", "1")
vim.api.nvim_set_var("everforest_enable_italic", "1")
vim.api.nvim_set_var("everforest_better_performance", "1")

-- gruvbox
vim.api.nvim_set_var("gruvbox_material_background", "hard")
vim.api.nvim_set_var("gruvbox_material_transparent_background", "1")
vim.api.nvim_set_var("gruvbox_material_ui_contrast", "low")
vim.api.nvim_set_var("gruvbox_material_show_eob", "0")
vim.api.nvim_set_var("gruvbox_material_enable_bold", "1")
vim.api.nvim_set_var("gruvbox_material_enable_italic", "1")
vim.api.nvim_set_var("gruvbox_material_better_performance", "1")

-- setting colorscheme
vim.cmd [[colo gruvbox-material]]

-- color of ModeMessage and bold Font
vim.api.nvim_set_hl(0, "ModeMsg", { bold = true, fg = "#d8a657"})

-- colors of tabline
vim.api.nvim_set_hl(0, "TabLine", {bg = "#3c3836", fg = "#89b482"})
vim.api.nvim_set_hl(0, "TabLineFill", {bg = "#1d2021"})
vim.api.nvim_set_hl(0, "TabLineSel", {bold = true, bg = "none", fg = "#d8a657"})

-- color of statusline
vim.api.nvim_set_hl(0, "StatusLine", {bold = false, bg = "#1d2021", fg = "#89b482"})
vim.api.nvim_set_hl(0, "StatusLineNC", {bg = "#1d2021", fg = "#5b534d"})

-- color of vertical split line
vim.api.nvim_set_hl(0, "VertSplit", {bg = "none", fg = "#1d2021"})

-- color of the cursorline and cursorlinenumber
vim.api.nvim_set_hl(0, "Cursorline", {bg = "#141617"})
vim.api.nvim_set_hl(0, "CursorLineNr", {bold = true, bg = "#141617", fg = "#d8a657"})

-- transparent background in active, non active and at the end of buffer for colorschemes which does not support such options
-- vim.api.nvim_set_hl(0, "Normal", { bg = "none" })
-- vim.api.nvim_set_hl(0, "NormalNC", { bg = "none" })
-- vim.api.nvim_set_hl(0, "EndOfBuffer", { bg = "none" })


